<?php

namespace Bydedi\Http;

use Bydedi\Container\ServiceProvider;
use Symfony\Component\DependencyInjection\Definition;
use Symfony\Component\DependencyInjection\Reference;
use Symfony\Component\Yaml\Yaml;

class HttpServiceProvider extends ServiceProvider
{

    /**
     * Register the service provider.
     *
     * @return void
     */
    public function register()
    {
        $this->serviceContainer->register('app', 'Bydedi\Http\Application')
            ->addMethodCall('setEventDispatcher', [new Reference('event.dispatcher')])
            ->addMethodCall('setContainer', [new Reference('service_container')]);

        $this->serviceContainer->register('http.router_subscriber', 'Bydedi\Http\EventListener\RouterListener')
            ->addArgument(new Reference('router'))
            ->addTag('app.event_subscriber');
    }
}
