<?php

namespace Bydedi\Utils;

use Bydedi\Container\ServiceProvider;
use Symfony\Component\DependencyInjection\Reference;

class UtilsServiceProvider extends ServiceProvider
{

    /**
     * Register the service provider.
     *
     * @return void
     */
    public function register()
    {
        $this->serviceContainer->register('utils.image.extension', 'Imagine\Gd\Imagine');

        $this->serviceContainer->register('utils.image', 'Bydedi\Utils\Image\Image')
            ->addArgument(new Reference('utils.image.extension'))
            ->addArgument('%app.paths%')
            ->addArgument(new Reference('logger'));

        $this->serviceContainer->register('utils.text', 'Bydedi\Utils\I18n\Text')
            ->addArgument(new Reference('database.connection'));

        $paths = $this->serviceContainer->getParameter('app.paths');
        $this->serviceContainer->setParameter('utils.pdf.amd64', $paths['base'] . '/vendor/bin/wkhtmltopdf-amd64');
        $this->serviceContainer->setParameter('utils.pdf.i386', $paths['base'] . '/vendor/bin/wkhtmltopdf-amd64');

        $this->serviceContainer->register('utils.pdf', 'Bydedi\Utils\Pdf\Pdf')
            ->addArgument('%utils.pdf.amd64%');
    }
}
